Loading...
Searching...
No Matches
BALL::CharmmFF::Default Struct Reference

`#include <BALL/MOLMEC/CHARMM/charmm.h>`

## Static Public Attributes

static const char * | FILENAME
static const float | NONBONDED_CUTOFF
static const float | VDW_CUTOFF
static const float | VDW_CUTON
static const float | ELECTROSTATIC_CUTOFF
static const float | ELECTROSTATIC_CUTON
static const float | SOLVATION_CUTOFF
static const float | SOLVATION_CUTON
static const float | SCALING_ELECTROSTATIC_1_4
static const bool | USE_EEF1
static const float | SCALING_VDW_1_4
static const bool | DISTANCE_DEPENDENT_DIELECTRIC
static const bool | ASSIGN_CHARGES
static const bool | ASSIGN_TYPENAMES
static const bool | ASSIGN_TYPES
static const bool | OVERWRITE_CHARGES
static const bool | OVERWRITE_TYPENAMES

## Detailed Description

Default values

Definition at line 115 of file charmm.h.

## Member Data Documentation

## ASSIGN_CHARGES

const bool BALL::CharmmFF::Default::ASSIGN_CHARGES

static

automatically assign charges to the system (during setup)

Definition at line 167 of file charmm.h.

## ASSIGN_TYPENAMES

const bool BALL::CharmmFF::Default::ASSIGN_TYPENAMES

static

automatically assign type names to the system (during setup)

Definition at line 171 of file charmm.h.

## ASSIGN_TYPES

const bool BALL::CharmmFF::Default::ASSIGN_TYPES

static

automatically assign types to the system's atoms (during setup)

Definition at line 175 of file charmm.h.

## DISTANCE_DEPENDENT_DIELECTRIC

const bool BALL::CharmmFF::Default::DISTANCE_DEPENDENT_DIELECTRIC

static

use of distance dependent dielectric constant, default = false

Definition at line 163 of file charmm.h.

## ELECTROSTATIC_CUTOFF

const float BALL::CharmmFF::Default::ELECTROSTATIC_CUTOFF

static

Electrostatic cutoff

Definition at line 135 of file charmm.h.

## ELECTROSTATIC_CUTON

const float BALL::CharmmFF::Default::ELECTROSTATIC_CUTON

static

Electrostatic cuton

Definition at line 139 of file charmm.h.

## FILENAME

const char* BALL::CharmmFF::Default::FILENAME

static

Default filename for the parameter file

Definition at line 119 of file charmm.h.

## NONBONDED_CUTOFF

const float BALL::CharmmFF::Default::NONBONDED_CUTOFF

static

Non bonded cutoff

Definition at line 123 of file charmm.h.

## OVERWRITE_CHARGES

const bool BALL::CharmmFF::Default::OVERWRITE_CHARGES

static

during charge assignment, overwrite even non-zero charges

Definition at line 179 of file charmm.h.

## OVERWRITE_TYPENAMES

const bool BALL::CharmmFF::Default::OVERWRITE_TYPENAMES

static

during charge assignment, overwrite even non-empty type names

Definition at line 183 of file charmm.h.

## SCALING_ELECTROSTATIC_1_4

const float BALL::CharmmFF::Default::SCALING_ELECTROSTATIC_1_4

static

Electrosstatic scaling factor for 1-4 interaction

Definition at line 151 of file charmm.h.

## SCALING_VDW_1_4

const float BALL::CharmmFF::Default::SCALING_VDW_1_4

static

Vdw scaling factor for 1-4 interaction

Definition at line 159 of file charmm.h.

## SOLVATION_CUTOFF

const float BALL::CharmmFF::Default::SOLVATION_CUTOFF

static

Solvation cutoff

Definition at line 143 of file charmm.h.

## SOLVATION_CUTON

const float BALL::CharmmFF::Default::SOLVATION_CUTON

static

Solvation cuton

Definition at line 147 of file charmm.h.

## USE_EEF1

const bool BALL::CharmmFF::Default::USE_EEF1

static

Use EEF1 solvation method.

Definition at line 155 of file charmm.h.

## VDW_CUTOFF

const float BALL::CharmmFF::Default::VDW_CUTOFF

static

Van der Waals cutoff

Definition at line 127 of file charmm.h.

## VDW_CUTON

const float BALL::CharmmFF::Default::VDW_CUTON

static

Van der Waals cuton

Definition at line 131 of file charmm.h.